%global project     clojure
%global artifactId  spec.alpha
%global archivename %{artifactId}-%{artifactId}
%global full_version %{version}

Name:           clojure-spec-alpha
Epoch:          1
Version:        0.1.134
Release:        1%{?dist}
Summary:        Spec is a Clojure library to describe the structure of data and functions

Group:          Development/Languages
License:        EPL-1.0
URL:            https://github.com/%{project}/%{artifactId}/
Source0:        https://github.com/%{project}/%{artifactId}/archive/%{artifactId}-%{full_version}.zip


BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  exec-maven-plugin
BuildRequires:  java-devel >= 1:1.8.0
BuildRequires:  clojure-maven-plugin >= 1.8.1
BuildRequires:  clojure  >= 1:1.9.0-0.alpha15.1
Requires:       clojure  >= 1:1.9.0-0.alpha15.1


%description 
Spec is a Clojure library to describe the structure of data and functions.
Specs can be used to validate data, conform (destructure) data, explain
invalid data, generate examples that conform to the specs, and automatically
use generative testing to test functions.

%prep
%setup -q -n %{archivename}-%{full_version}
# Remove unpackaged parent pom and add the required groupId
%pom_remove_parent pom.xml
%pom_xpath_inject pom:project "<groupId>org.clojure</groupId>"

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license epl-v10.html
%doc CHANGES.md README.md CONTRIBUTING.md

%changelog
* Sun Apr 05 2020 Markku Korkeala <markku.korkeala@iki.fi> - 1:0.1.134-1
- Initial package
